### Method

# FwupdPlugin Plugin device_add

since: 0.8.0

#### Declaration [src]

    void
    fu_plugin_device_add (
      FuPlugin* self,
      FuDevice* device
    )

#### Description [src]

Asks the daemon to add a device to the exported list. If this device ID has already been added by a different plugin then this request will be ignored.

Available since: 0.8.0

#### Parameters

`device`

  Type: `FuDevice`

  A device.

  The data is owned by the caller of the method.